View Issue Details

IDProjectCategoryView StatusLast Update
0031671FPCFCLpublic2017-04-22 11:57
ReporterAndrey ZubarevAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0031671: fcl-passrc error with procedural type var
Descriptionprogram test;
var
  alcCreateContext: function (device: pointer): pointer; cdecl = nil;
begin
end.

Gives Parser error: "Expected ";" at token "=" in file E:\zcad\other\pudgb\passrcerrors.pas at line 3 column 64
TagsNo tags attached.
Fixed in Revision35884
FPCOldBugId
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2017-04-22 10:48

administrator   ~0099756

fixed, thanks for reporting!

Andrey Zubarev

2017-04-22 11:57

reporter   ~0099761

Thanks!

Issue History

Date Modified Username Field Change
2017-04-17 11:27 Andrey Zubarev New Issue
2017-04-18 14:26 Michael Van Canneyt Assigned To => Michael Van Canneyt
2017-04-18 14:26 Michael Van Canneyt Status new => assigned
2017-04-22 10:48 Michael Van Canneyt Fixed in Revision => 35884
2017-04-22 10:48 Michael Van Canneyt Note Added: 0099756
2017-04-22 10:48 Michael Van Canneyt Status assigned => resolved
2017-04-22 10:48 Michael Van Canneyt Fixed in Version => 3.1.1
2017-04-22 10:48 Michael Van Canneyt Resolution open => fixed
2017-04-22 10:48 Michael Van Canneyt Target Version => 3.2.0
2017-04-22 11:57 Andrey Zubarev Note Added: 0099761
2017-04-22 11:57 Andrey Zubarev Status resolved => closed